## org.eclipse.emf.cdo.common.id
Interface CDOIDLibraryProvider

All Known Implementing Classes:
  CDOIDLibraryProviderImpl, CDOIDLongFactoryImpl.LibraryHandler

    public interface CDOIDLibraryProvider

Method Summary
`java.io.InputStream` `getContents(java.lang.String libraryName)`
`int` `getSize(java.lang.String libraryName)`

Method Detail

### getSize

    int getSize(java.lang.String libraryName)

### getContents

    java.io.InputStream getContents(java.lang.String libraryName)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.